Take the 2-minute tour ×
Arqade is a question and answer site for passionate videogamers on all platforms. It's 100% free, no registration required.

I've seen this question answered for bukkit but not vanilla minecraft server. I've been told that vanilla minecraft does not support mods but when I go to buildcraft's main site, (http://www.mod-buildcraft.com/installation/manual-server/), it is alluding to installing using the vanilla Minecraft server. Also, he states that the bukkit version of his mod is maintained by someone else (so his server mod should be for vanilla Minecraft, right?)

I've even seen a youtube video on how to install ModLoaderMP for vanilla Minecraft server, but when I follow those directions and run the server, I get an error saying the jar was corrupt.

How do I install mods for vanilla Minecraft?

share|improve this question
3  
Isn't modded vanilla Minecraft an oxymoron? –  fredley Feb 1 '12 at 11:40
1  
@fredley: Perhaps a better title would be "How can I install mods for a non-Bukkit Minecraft server?" –  Jake King Feb 1 '12 at 17:20
    
@fredley, if you can't figure out that the vanilla server is the one developed by Mojang, then you shouldn't be playing this game. –  DJTripleThreat Feb 1 '12 at 18:22
    
Some people don't know the vanilla terminology, and vanilla means no modifications. Okay, so changing the title wasn't necessary, but changing it back was pointless. –  Jake King Feb 1 '12 at 23:02
    
You may be aware of this, but you have not accepted an answer. Do this by clicking the check mark beside the answer that you think best answers the question : ) –  Aidan Mueller May 15 '12 at 18:58
show 1 more comment

3 Answers 3

up vote 2 down vote accepted

make sure you don't delete the "META-INF" for the server. this will corrupt it. also make sure you download the server mod. not the client mod

share|improve this answer
add comment

Some mods are written for the normal minecraft server rather than bukkit; you have to be sure that your mod is one of those. It ought to be the same as installing a mod on a normal client at that point.

The "jar corrupt" issue often happens when you forget to delete the "META-INF" folder for a mod that requires it. This folder contains things that help verify that the jar hasn't been tampered with, and leaving it unchanged can result in the jar registering as having been "corrupted'. More information on meta-inf can be found here.

Apparently multiplayer requires the meta-inf folder. So I would posit that either you're not following the instructions exactly or that the instructions have changed with newer versions of minecraft.

share|improve this answer
    
I understand how META-INF works. I deleted that directory but still get the jar corruption issue. –  DJTripleThreat Feb 1 '12 at 18:20
    
Continuing what Yamikurone said, the mod may not support multiplayer. –  Evan Darwin Feb 8 '12 at 23:53
1  
@SmilingDevil Good point, though I assumed if there was a youtube walkthrough for installing a specific mod on a server that it was multiplayer-friendly. –  Yamikuronue Feb 9 '12 at 14:03
1  
No, he's doing it on the server. on the server you CAN'T delete the "META-INF". read the server installation section in the spoiler here –  Aidan Mueller Mar 20 '12 at 15:28
add comment

While this is technically not a solution to your problem, I thought I'd point you to tekkit (based on bukkit) which combines buildcraft, industrialcraft2, redpowered and some other plugins (which can be individually deactivated). Just note that you will also need to use the Technic Launcher instead of the vanilla client, but otherwise you'd have to mod the client by yourself anyway...

share|improve this answer
add comment

protected by agent86 Feb 22 '12 at 3:33

Thank you for your interest in this question. Because it has attracted low-quality answers, posting an answer now requires 10 reputation on this site.

Would you like to answer one of these unanswered questions instead?

Not the answer you're looking for? Browse other questions tagged or ask your own question.